org.eclipse.wst.jsdt.ui.actions

## Class FormatAllAction.ObjectDelegate

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.actions.FormatAllAction.ObjectDelegate

Enclosing class:
  FormatAllAction

    public static class FormatAllAction.ObjectDelegate
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ObjectDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActivePart(IAction action, IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectDelegate

    public ObjectDelegate()

### Method Detail

#### setActivePart

    public void setActivePart(IAction action,
                              IWorkbenchPart targetPart)

#### run

    public void run(IAction action)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)